%define upstream_name    Text-WikiFormat
%define upstream_version 0.80

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Module for translating Wiki formatted text into other formats
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::More) >= 0.300.0
BuildRequires: perl(URI::Escape)
BuildArch:  noarch

%description
Text::WikiFormat converts text in a simple Wiki markup language to whatever
your little heart desires, provided you can describe it accurately in a
semi-regular tag language.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc ARTISTIC Changes GPL META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Text
%{_mandir}/man3/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.800.0-2.mga3
+ Revision: 374250
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Sep 17 2012 jquelin <jquelin> 0.800.0-1.mga3
+ Revision: 295147
- update to 0.80

* Sat Jan 22 2011 jquelin <jquelin> 0.790.0-1.mga1
+ Revision: 31364
- mageia rebuild
- imported package perl-Text-WikiFormat

